package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 设备维修
 * </p>
 *
 * @author mk
 * @since 2023-10-18
 */
@TableName("equipment_repair_recording")
@ApiModel(value="EquipmentRepairRecording对象", description="设备维修")
public class EquipmentRepairRecording extends Model<EquipmentRepairRecording> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "任务创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "代理ID")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "物业ID")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "站点ID")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "楼id")
    @TableField("building_id")
    private Long buildingId;

    @ApiModelProperty(value = "楼层")
    @TableField("floor")
    private String floor;

    @ApiModelProperty(value = "厕所id")
    @TableField("toilet_id")
    private Long toiletId;

    @ApiModelProperty(value = "位置id")
    @TableField("position_id")
    private Long positionId;

    @ApiModelProperty(value = "安装地址")
    @TableField("install_address")
    private String installAddress;

    @ApiModelProperty(value = "申报人")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "最近修改时间")
    @TableField("record_time")
    private Date recordTime;

    @ApiModelProperty(value = "sncode")
    @TableField("sn_code")
    private String snCode;

    @ApiModelProperty(value = "问题描述")
    @TableField("problem")
    private String problem;

    @ApiModelProperty(value = "维修状态")
    @TableField("state")
    private Integer state;

    @ApiModelProperty(value = "维修编号")
    @TableField("repair_no")
    private String repairNo;

    @ApiModelProperty(value = "有效状态")
    @TableField("effective_state")
    private Integer effectiveState;

    @ApiModelProperty(value = "0:厕纸机;1:擦手纸机")
    @TableField("device_type")
    private Integer deviceType;

    @ApiModelProperty(value = "出纸次数")
    @TableField("paper_count")
    private Long paperCount;

    @ApiModelProperty(value = "故障点计数")
    @TableField("fault_count")
    private Integer faultCount;

    @ApiModelProperty(value = "来源类型")
    @TableField("source_type")
    private Integer sourceType;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public String getFloor() {
        return floor;
    }

    public void setFloor(String floor) {
        this.floor = floor;
    }

    public Long getToiletId() {
        return toiletId;
    }

    public void setToiletId(Long toiletId) {
        this.toiletId = toiletId;
    }

    public Long getPositionId() {
        return positionId;
    }

    public void setPositionId(Long positionId) {
        this.positionId = positionId;
    }

    public String getInstallAddress() {
        return installAddress;
    }

    public void setInstallAddress(String installAddress) {
        this.installAddress = installAddress;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Date getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(Date recordTime) {
        this.recordTime = recordTime;
    }

    public String getSnCode() {
        return snCode;
    }

    public void setSnCode(String snCode) {
        this.snCode = snCode;
    }

    public String getProblem() {
        return problem;
    }

    public void setProblem(String problem) {
        this.problem = problem;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getRepairNo() {
        return repairNo;
    }

    public void setRepairNo(String repairNo) {
        this.repairNo = repairNo;
    }

    public Integer getEffectiveState() {
        return effectiveState;
    }

    public void setEffectiveState(Integer effectiveState) {
        this.effectiveState = effectiveState;
    }

    public Integer getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    public Long getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Long paperCount) {
        this.paperCount = paperCount;
    }

    public Integer getFaultCount() {
        return faultCount;
    }

    public void setFaultCount(Integer faultCount) {
        this.faultCount = faultCount;
    }

    public Integer getSourceType() {
        return sourceType;
    }

    public void setSourceType(Integer sourceType) {
        this.sourceType = sourceType;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "EquipmentRepairRecording{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", districtId=" + districtId +
        ", buildingId=" + buildingId +
        ", floor=" + floor +
        ", toiletId=" + toiletId +
        ", positionId=" + positionId +
        ", installAddress=" + installAddress +
        ", userId=" + userId +
        ", recordTime=" + recordTime +
        ", snCode=" + snCode +
        ", problem=" + problem +
        ", state=" + state +
        ", repairNo=" + repairNo +
        ", effectiveState=" + effectiveState +
        ", deviceType=" + deviceType +
        ", paperCount=" + paperCount +
        ", faultCount=" + faultCount +
        ", sourceType=" + sourceType +
        "}";
    }
}
